program abc(input,output);
var n,a,b:longint;
begin
assign(input, 'D.in');
assign(output, 'D.out');
reset (input);
rewrite (output);
read (input, n,a,b);
write (output, n-a+b);
close (input);
close (output);
end.
